
.grid-container {
    width: 960px;
    height: 0;
    display: grid;
    grid-template-columns: repeat(16, 25px);
    grid-template-rows: repeat(16, 25px);
    grid-gap: 2px;
    margin-top: 50px;
}
.grid-container > div {
    background: #EDE7F6;
    padding: 5px;
    border-radius: 5px;
}

.grid-container > div:hover {
    background: red;
}

body {
    margin: 1rem;
    font: 12px system-ui;
}